using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VetClinicContracts.BindingModels;
using VetClinicContracts.SearchModels;
using VetClinicContracts.ViewModels;

namespace VetClinicContracts.StoragesContracts
{
	public interface IGuidanceStorage
	{
		List<GuidanceViewModel> GetFullList();
		List<GuidanceViewModel> GetFilteredList(GuidanceSearchModel model);
		GuidanceViewModel? GetElement(GuidanceSearchModel model);
		GuidanceViewModel? Insert(GuidanceBindingModel model);
		GuidanceViewModel? Update(GuidanceBindingModel model);
		GuidanceViewModel? Delete(GuidanceBindingModel model);
	}
}
